Menu error possibly because of php 5.3?

This forum is for reporting bugs in Joomla!. Please don't report problems with extensions in here.
Forum rules
Forum Rules
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
goodegg
Joomla! Fledgling
Joomla! Fledgling
Posts: 2
Joined: Tue Mar 01, 2011 7:48 pm

Menu error possibly because of php 5.3?

Post by goodegg » Thu May 26, 2011 6:14 pm

Hi,

There is the following error on my client's website on the menu modules:

Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference, value given in /home/gree9526/public_html/libraries/joomla/cache/handler/callback.php on line 99

I read in the forums and think this is because my hoster has upgraded their servers to php 5.3. I talked to my hoster and I don't think they will revert to php 5.2. I also tried adding "AddType application/x-httpd-php52 .php " tot he .htaccess file, but when I reload the site I got a message to download the application.

So, any fixes under the above parameters?

Thanks in advance!
Lillian

hndrpndr
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Wed Mar 14, 2012 7:20 pm

Re: Menu error possibly because of php 5.3?

Post by hndrpndr » Wed Mar 14, 2012 7:29 pm

Same Issue here. Updated from 5.2 to 5.3 for PHP and now my menus will not load on the web pages nor in the administrator panel.

Any ideas Joomla?


Locked

Return to “Joomla! 1.5 Bug Reporting”